PHP- genau so, wie Sie es wollen!

PHP- genau so, wie Sie es wollen!

Als einer der wenigen Anbieter ermöglichen wir das neue PHP 7.0 als einen Teil unseres Standardangebots. Sie können selbst die älteren Versionen – 5.2, 5.3, 5.4, 5.5 und 5.6 – für jede Website wählen. All die bekannten PHP-basierten CMS – wie Wordpress, Joomla und Drupal – laufen ohne Fehler. Dies liegt an unserer anpassungsfähigen Konfiguration und unseren wenigen Einschränkungen.

PHP- maßgeschneidert für Sie

Einige PHP-Systeme benötigen spezielle Pflege. Zum Beispiel wollen Sie möglicherweise die maximal erreichbare Größe von Datei-Uploads einstellen oder konfigurieren, ob PHP im "safe_mode" laufen soll. Solche Einstellungen können im Kontrollzentrum konfiguriert werden, oder aber, indem eine "php.ini"- Datei erstellt wird. Änderungen treten sofort in Kraft.

Kaum Einschränkungen

Das Skript und die Applikationen laufen bei maximaler Performance dank hoher Ressourcenbeschränkungen. Zum Beispiel ist die Standardspeichergrenze in unserer PHP-Konfiguration 256 MB, und sie kann bis zu 512 MB erweitert werden. Auf dieselbe Art können PHP-Skripte Dateien von bis zu 512 MB hochladen. Vollständige Liste der Ressourcenbegrenzungen.

Viele Erweiterungen

Die PHP-Installationen werden immer mit einer Vielzahl von Addons angeboten, welche Ihren Websites erlauben, Bild-oder Flashdateien zu manipulieren, Zugang zu PDO-Datenbankenabstrahierungsschichten zu bekommen, und sich mit IMAP, FTP, SNMP, PostgreSQL, oder LDAP-Servern zu verbinden. Sehen Sie sich alle unsere Erweiterungen an.

Hohe Sicherheit

PHP-Prozesse laufen isoliert von anderen Nutzern und mit eigenen Privilegien (auch bekannt als "in einer Sandbox") ab. Dies führt zu mehr Sicherheit, als wenn man ein PHP als einen geteilten Nutzer laufen lässt und die Sicherheit von den PHP-Sicherheitsfeatures abhängig ist. Die PHP-Erweiterung "suhosin" schützt Ihre Homepage ferner gegen allgemein bekannte Attacken.